USE [Arizona]

/* 
demande initiale:
	Hello les DBA
	auriez-vous la gentillesse de m'informer de qui a modifié la table ph_organizational_unit pour AMA 097 ?
	Merci d'avance, Anne-Claude

*/

--step 1: recherche de l'OU de la pharmacie
SELECT * 
FROM [dbo].[Organizational_unit] [ou]
WHERE [ou].[OU_code]='097'

SELECT TOP 100 * 
FROM [dbo].[ph_Organizational_unit] [ou]	
WHERE [ou].[PHOU_organizational_unit]= '846'


--step 2: liste les AMR en relation avec cet OU
--regarder amr_system_user, et amr_sql_pid
SELECT TOP 100  amr.*
FROM [dbo].[APS_monitor_table] [amt]
	JOIN [dbo].[APS_monitor_row] [amr] ON [amt].[APS_monitor_table_ID] = amr.[AMR_APS_monitor_table]
WHERE amt.[AMT_table_name] IN ('organizational_unit', 'ph_organizational_unit')
--AND amr.[AMR_APS_TS] > '20221120'
AND amr.[AMR_row_GUID] = 'E0BEA972-B4EE-40BA-8717-F0D9075FEB48'



--step 3: cherche dans l'audit le login le plus proche de la date de modification dans les AMR
SELECT TOP 100 * 
FROM master.[dba].[Login_audit] [la]
--WHERE [la].[Login_Time] BETWEEN '2022-11-22' AND '2022-11-23'
WHERE [la].[SessionID] = 108
ORDER BY [la].[Login_Time] DESC 


--step 4: faire une recherche d'asset dans smartIT pour trouver la personne derrière le hostname